GCLOUD_COMPUTE_BACKEND-SERVICES_UPDATE(1)

NAME

gcloud compute backend-services update - update a backend service

SYNOPSIS

gcloud compute backend-services update NAME [--affinity-cookie-ttl=AFFINITY_COOKIE_TTL] [--connection-draining-timeout=CONNECTION_DRAINING_TIMEOUT] [--description=DESCRIPTION] [--enable-cdn] [--health-checks=HEALTH_CHECK,[HEALTH_CHECK,...]] [--http-health-checks=HTTP_HEALTH_CHECK,[HTTP_HEALTH_CHECK,...]] [--https-health-checks=HTTPS_HEALTH_CHECK,[HTTPS_HEALTH_CHECK,...]] [--port=PORT] [--port-name=PORT_NAME] [--protocol=PROTOCOL] [--session-affinity=SESSION_AFFINITY] [--timeout=TIMEOUT] [--global | --region=REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services update is used to update backend services.

POSITIONAL ARGUMENTS

    NAME
        The name of the backend service.

FLAGS

    --affinity-cookie-ttl=AFFINITY_COOKIE_TTL
        If session-affinity is set to "generated_cookie", this flag sets the TTL, in seconds, of the resulting cookie. A setting of 0 indicates that the cookie should be transient.

    --connection-draining-timeout=CONNECTION_DRAINING_TIMEOUT
        Connection draining timeout to be used during removal of VMs from instance groups. This guarantees that for the specified time all existing connections to a VM will remain untouched, but no new connections will be accepted. Set timeout to zero to disable connection draining. Enable feature by specifying a timeout of up to one hour. If the flag is omitted API default value (0s) will be used. Valid units for this flag are s for seconds, m for minutes, and h for hours.

    --description=DESCRIPTION
        An optional, textual description for the backend service.

    --enable-cdn
        Enable Cloud CDN for the backend service. Cloud CDN can cache HTTP responses from a backend service at the edge of the network, close to users. Cloud CDN is disabled by default.

    --health-checks=HEALTH_CHECK,[HEALTH_CHECK,...]
        Specifies a list of health check objects for checking the health of the backend service. Health checks need not be for the same protocol as that of the backend service.

    --http-health-checks=HTTP_HEALTH_CHECK,[HTTP_HEALTH_CHECK,...]
        Specifies a list of HTTP health check objects for checking the health of the backend service.

    --https-health-checks=HTTPS_HEALTH_CHECK,[HTTPS_HEALTH_CHECK,...]
        Specifies a list of HTTPS health check objects for checking the health of the backend service.

    --port=PORT
        The TCP port to use when connecting to the backend. --port is being deprecated in favor of --port-name.

    --port-name=PORT_NAME
        The name of a service that has been added to an instance group in this backend. Instance group services map a name to a port number which is used by the load balancing service. Only one port-name may be added to a backend service, and that name must exist as a service on all instance groups that are a part of this backend service. The port number associated with the name may differ between instances. If you do not specify this flag, your instance groups must have a service named http configured. See also gcloud compute instance-groups set-named-ports --help.

    --protocol=PROTOCOL
        The protocol for incoming requests. PROTOCOL must be one of: HTTP, HTTPS, SSL, TCP, UDP.

    --session-affinity=SESSION_AFFINITY
        The type of session affinity to use for this backend service. SESSION_AFFINITY must be one of:

        CLIENT_IP
            Route requests to instances based on the hash of the client's IP address.

        CLIENT_IP_PORT_PROTO
            Connections from the same client IP with the same IP protocol and port will go to the same VM in the backend while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.

        CLIENT_IP_PROTO
            Connections from the same client IP with the same IP protocol willgo to the same VM in the pool while that VM remains healthy. This option cannot be used for HTTP(s) load balancing.

        GENERATED_COOKIE
            Route requests to instances based on the contents of the "GCLB" cookie set by the load balancer.

        NONE
            Session affinity is disabled.

    --timeout=TIMEOUT
        The amount of time to wait for a backend to respond to a request before considering the request failed. For example, specifying 10s will give backends 10 seconds to respond to requests. Valid units for this flag are ``s'' for seconds, ``m'' for minutes, and ``h'' for hours.

At most one of these may be specified:

    --global
        If provided, it is assumed the backend service is global.

    --region=REGION
        The region of the backend service to operate on. Overrides the default compute/region property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.